package nccloud.api.so.m30;

import java.util.List;
import java.util.Map;
import nc.vo.pub.BusinessException;
import nc.vo.so.m30.entity.SaleOrderVO;

public interface IAPISaleOrderMaitain {
	SaleOrderVO[] save(List<Map<String, Object>> paramList) throws BusinessException;

	SaleOrderVO[] update(List<Map<String, Object>> paramList) throws BusinessException;

	void delete(String[] paramArrayOfString) throws BusinessException;

	SaleOrderVO[] sendApprove(String[] paramArrayOfString) throws BusinessException;

	SaleOrderVO[] unSendApprove(String[] paramArrayOfString) throws BusinessException;

	SaleOrderVO[] approve(String[] paramArrayOfString) throws BusinessException;

	SaleOrderVO[] unApprove(String[] paramArrayOfString) throws BusinessException;

	public SaleOrderVO[] save(SaleOrderVO[] vos) throws BusinessException;

	public void updateBipFlagSo(Map<String, Object> paramMap) throws Exception;
}
